import { BaseSvg } from './BaseSvg';
import { XmlData } from '../ofdData';
import { OfdDocument } from '../ofdDocument';
/**
 * 文本组件
 */
export declare class TextSvg extends BaseSvg {
    #private;
    private nodeData;
    private svgContainer;
    private svgContainerStyle;
    private boundaryBox;
    private textId;
    private ofdDocument;
    private textStyle;
    constructor(ofdDocument: OfdDocument, nodeData: XmlData);
    createContainerSvg(): SVGElement;
    getContainerSvg(): SVGElement;
}
